--- old/usr/src/tools/scripts/git-pbchk.py	Sat Jul 19 19:24:40 2014
+++ new/usr/src/tools/scripts/git-pbchk.py	Sat Jul 19 19:24:40 2014
@@ -17,6 +17,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2008, 2012 Richard Lowe
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 import getopt
@@ -48,7 +49,7 @@
 sys.path.insert(2, os.path.join(os.path.dirname(__file__), ".."))
 
 from onbld.Checks import Comments, Copyright, CStyle, HdrChk
-from onbld.Checks import JStyle, Keywords, Mapfile
+from onbld.Checks import JStyle, Keywords, ManLint, Mapfile
 
 
 class GitError(Exception):
@@ -282,6 +283,16 @@
     return ret
 
 
+def manlint(root, parent, flist, output):
+    ret = 0
+    output.write("Man page format:\n")
+    ManfileRE = re.compile(r'.*\.[0-9][a-z]*$', re.IGNORECASE)
+    for f in flist(lambda x: ManfileRE.match(x)):
+        fh = open(f, 'r')
+        ret |= ManLint.manlint(fh, output=output, picky=True)
+	fh.close()
+    return ret
+
 def keywords(root, parent, flist, output):
     ret = 0
     output.write("SCCS Keywords:\n")
@@ -323,6 +334,7 @@
             hdrchk,
             jstyle,
             keywords,
+	    manlint,
             mapfilechk]
     run_checks(root, parent, cmds, paths)
 
@@ -334,6 +346,7 @@
             hdrchk,
             jstyle,
             keywords,
+	    manlint,
             mapfilechk]
     run_checks(root, parent, cmds)
 
